{namespace drk=DRK\DrkSupplyFinder\ViewHelpers}

<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers"
      xmlns:drk="http://typo3.org/ns/Drk/Template/ViewHelpers"
      data-namespace-typo3-fluid="true">

<f:layout name="Default"/>

<f:section name="content">
    <div class="tx-supplyfinder tx-supplyfinder-search">
        <header class="header">
            <h3>{f:translate(id: 'offerResult.form.headline')}</h3>
        </header>
        <f:form id="tx-drk-supply-search-form-offer" pluginName="SupplyFinderResult" controller="SupplyFinderResult" action="showOfferResult" class="o-form tx-supplyfinder-form" method="get">
            <p>{f:translate(id: 'offerResult.form.description')}</p>
            <div class="form-group">
                <f:form.select name="offerId" size="1" id="tx-supplyfinder-selectbox"
                               class="o-form__field o-form__field o-form__field--select has-value searchbox" options="{offerList}"
                               optionValueField="orgOfferId" optionLabelField="orgOfferDescription"
                               prependOptionLabel="{f:translate(id: 'form.offer.angebote.I.0')}"
                               prependOptionValue="0" value="{offerId}"/>
                <label class="o-form__label" for="tx-supplyfinder-selectbox">
                    {f:translate(id: 'offerResult.form.angebote.label')}
                </label>
            </div>

            <div class="form-group">
                <f:form.textfield name="zip" class="o-form__field o-form__field o-form__field--text has-value"
                                  id="tx-supplyfinder-searchbox" value="{zip}"/>
                <label class="o-form__label" for="tx-supplyfinder-searchbox">
                    {f:translate(id: 'offerResult.form.angebote_plz.label')}
                </label>
            </div>
            <f:if condition="{searchRangeSelection}">
                <div class="form-group">
                    <f:form.select class="o-form__field o-form__field--select" id="iSearchRange" name="iSearchRange" options="{searchRangeSelection}" value="{searchRange}" />
                    <label class="o-form__label" for="iSearchRange">
                        {f:translate(id: 'offerResult.range.label')}
                    </label>
                </div>
            </f:if>
            <div class="form-group">
                <f:form.submit name="submit" id="tx-supplyfinder-button-submit" class="button button--primary o-btn o-btn--full"
                               value="{f:translate(id: 'offerResult.form.submit')}"/>
                <f:if condition="{settings.location_search}">
                    <a href="#" class="o-btn--geoloaction button button--primary" target="_blank" rel="noopener" title="Meinen Standort ermitteln.">
                        <drk:svgEmbed src="EXT:drk_supply_finder/Resources/Public/Images/icon_gps-indicator.svg" />
                    </a>
                </f:if>
            </div>
        </f:form>
        <div class="tx-supplyfinder-search__result">
            <f:if condition="{offerLinks}">
                <f:then>
                    <f:if condition="{offerLinks -> f:count()} == 1">
                        <f:if condition="{settings.open_result}">
                            <drk:singleResult url="{offerLinks.0.orgOfferURL}"/>
                        </f:if>
                    </f:if>

                    <f:format.raw>
                        <p>{f:translate(id: 'offerResult.list.headline', arguments: '{0:preselection.orgOfferDescription, 1: zip}')}</p>
                    </f:format.raw>
                    <ul class="tx-supplyfinder-search__result-list">
                    <f:for each="{pagination.paginator.paginatedItems}" as="offerlink" iteration="iterator">
                        <f:render partial="OfferItem" arguments="{offerlink:offerlink}" />
                    </f:for>
                    </ul>

                    <f:render partial="Pagination" arguments="{pagination: pagination.pagination, paginator: pagination.paginator, actionName: 'showOfferResult'}" />

                </f:then>
                <f:else>
                    <f:if condition="{zipLengthError}">
                        <f:then>
                            <p><f:format.raw>{f:translate(id: 'offerResult.list.error')}</f:format.raw></p>
                        </f:then>
                        <f:else>
                            <f:if condition="{organisation}">
                                <f:then>
                                    <f:format.raw>
                                        <p>{f:translate(id: 'offerResult.list.organisation', arguments: '{0:
                                            preselection.orgOfferDescription, 1: organisation.orgName, 2:
                                            organisation.orgZipcode, 3: organisation.orgCity, 4: organisation.orgFon, 5:
                                            organisation.orgUrl, 6: \'{organisation.orgLatitude ->
                                            f:format.number(decimals:
                                            10, decimalSeparator: ".", thousandsSeparator: "")}\', 7:
                                            \'{organisation.orgLongitude -> f:format.number(decimals: 10,
                                            decimalSeparator:
                                            ".", thousandsSeparator: "")}\'}')}</p>
                                    </f:format.raw>
                                </f:then>
                                <f:else>
                                    <p>
                                        <f:if condition="{settings.noResultMessage}">
                                            <f:then><f:format.raw>{settings.noResultMessage}</f:format.raw></f:then>
                                            <f:else>In der näheren Umgebung ist leider kein Angebot vorhanden.</f:else>
                                        </f:if>
                                    </p>
                                </f:else>
                            </f:if>
                        </f:else>
                    </f:if>
                </f:else>
            </f:if>
        </div>
    </div>
</f:section>
